Subject: Re: [sipcore] FW: I-D Action:draft-jones-sip-options-ping-00.txt

From: Dean Willis <[email-masked]>
Date: Mon, 10 May 2010 16:58:42 -0500

Paul E. Jones wrote:
> Dean,
> 
>> So for example, a new header field "Options-mode" with a value of
>> "ping" means "If you support this extension, do not proxy this
>> request, just send an immediate 200 OK response  and do not bother
>> populating the Supported header field of the 200 OK response."
>> Somebody who didn't recognize the header field would just send a
>> conventional 200 OK response.
> 
> Not objecting to the header, but I think we would have failed in our effort
> if the message might possibly be proxied.  The intent was for this to be
> peer-to-peer.

Then a header, combined with an options-tag used in a Prcy-Require"
would do the job.

>  
>> And perhaps an option tag of "optionsmodeping". That way we can add
>> further options-modes, and option tags for them in the future as (and
>> if) needed.
> 
> So, you want a head like this:
> 
>   Options-Mode: ping
> 
> Or this:
> 
>   Require: optionsmodeping

Both. And a Proxy-Require: optionmsmodeping to make sure that proxies
that understand Options-Mode: ping don't forward.

--
Dean